MCOOKIE(1)

NOM
mcookie - Créer des « cookies magiques » pour xauth

SYNOPSIS

mcookie [options]

DESCRIPTION

mcookie génère un nombre hexadécimal aléatoire de 128 bits qui peut être utilisé avec le système d'authentification de X. Utilisation typique :

    xauth add :0 . mcookie

Le nombre « aléatoire » créé est en fait le condensé MD5 d’informations aléatoires provenant d’une des sources : l'appel système getrandom(2), /dev/urandom, /dev/random ou les fonctions pseudoaléatoires de libc, dans cet ordre de préférence. Voir aussi l'option --file..

OPTIONS

-f, --file fichier
    Utiliser ce fichier comme source supplémentaire d’aléa (par exemple /dev/urandom). Si fichier est « - », les caractères sont lus sur l'entrée standard.

-m, --max-size nombre
    Ne lire que nombre octets du fichier. Cette option est censée être utilisée lors de la lecture d’un aléa supplémentaire à partir d’un fichier ou périphérique.

    L’argument nombre peut être suivi des suffixes multiplicatifs KiB=1024, MiB=1024*1024, etc., pour GiB, TiB, PiB, EiB, ZiB et YiB (la partie « iB » est facultative, par exemple « K » est identique à « KiB ») ou des suffixes KB=1000, MB=1000*1000, etc., pour GB, TB, PB, EB, ZB et YB.

-v, --verbose
    Informer des sources d’aléa, avec la quantité d’entropie lue de chaque source.

-h, --help
    Afficher l’aide-mémoire puis quitter.

-V, --version
    Afficher la version puis quitter.

FICHIERS

/dev/urandom

/dev/random

BOGUES

Aucune source d’aléa n’est censée bloquer.

VOIR AUSSI

md5sum(1), X(7), xauth(1), rand(3)

SIGNALER DES BOGUES

Pour envoyer un rapport de bogue, utilisez le système de gestion des problèmes à l'adresse

DISPONIBILITÉ

La commande mcookie fait partie du paquet util-linux qui peut être téléchargé sur

TRADUCTION
La traduction française de cette page de manuel a été créée par Christophe Blaess <ccb@club-internet.fr>, Michel Quercia <quercia AT cal DOT enst DOT fr>, Thierry Vignaud <tvignaud@mandriva.com>, Frédéric Delanoy <delanoy_f@yahoo.com>, Thierry Vignaud <tvignaud@mandriva.com>, Christophe Sauthier <christophe@sauthier.com>, Sébastien Blanchet, Jérôme Perzyna <jperzyna@yahoo.fr>, Aymeric Nys <aymeric AT nnx POINT com>, Alain Portal <aportal@univ-montp2.fr>, Thomas Huriaux <thomas.huriaux@gmail.com>, Yves Rütschlé <l10n@rutschle.net>, Jean-Luc Coulon (f5ibh) <jean-luc.coulon@wanadoo.fr>, Julien Cristau <jcristau@debian.org>, Philippe Piette <foudre-blanche@skynet.be>, Jean-Baka Domelevo-Entfellner <domelevo@gmail.com>, Nicolas Haller <nicolas@boiteameuh.org>, Sylvain Archenault <sylvain.archenault@laposte.net>, Valéry Perrin <valery.perrin.debian@free.fr>, Jade Alglave <jade.alglave@ens-lyon.org>, Nicolas François <nicolas.francois@centraliens.net>, Alexandre Kuoch <alex.kuoch@gmail.com>, Lyes Zemmouche <iliaas@hotmail.fr>, Florentin Duneau <fduneau@gmail.com>, Alexandre Normand <aj.normand@free.fr>, David Prévot <david@tilapin.org> et Jean-Philippe MENGUAL <jpmengual@debian.org>

Cette traduction est une documentation libre ; veuillez vous reporter à la GNU General Public License version 3 (https://www.gnu.org/licenses/gpl-3.0.html) concernant les conditions de copie et de distribution. Il n'y a aucune RESPONSABILITÉ LÉGALE.

Si vous découvrez un bogue dans la traduction de cette page de manuel, veuillez envoyer un message à debian-l10n-french@lists.debian.org.